Jack::JackNetUnixSocket Class Reference

## Public Member Functions

| JackNetUnixSocket (const char *ip, int port)
| JackNetUnixSocket (const JackNetUnixSocket &)
JackNetUnixSocket & | operator= (const JackNetUnixSocket &socket)
int | NewSocket ()
int | Bind ()
int | BindWith (const char *ip)
int | BindWith (int port)
int | Connect ()
int | ConnectTo (const char *ip)
void | Close ()
void | Reset ()
bool | IsSocket ()
void | SetPort (int port)
int | GetPort ()
int | SetAddress (const char *ip, int port)
char * | GetSendIP ()
char * | GetRecvIP ()
int | GetName (char *name)
int | JoinMCastGroup (const char *mcast_ip)
int | SetOption (int level, int optname, const void *optval, socklen_t optlen)
int | GetOption (int level, int optname, void *optval, socklen_t *optlen)
int | SetTimeOut (int us)
int | SetLocalLoop ()
bool | IsLocal (char *ip)
int | SendTo (const void *buffer, size_t nbytes, int flags)
int | SendTo (const void *buffer, size_t nbytes, int flags, const char *ip)
int | Send (const void *buffer, size_t nbytes, int flags)
int | RecvFrom (void *buffer, size_t nbytes, int flags)
int | Recv (void *buffer, size_t nbytes, int flags)
int | CatchHost (void *buffer, size_t nbytes, int flags)
net_error_t | GetError ()
void | PrintError ()

## Detailed Description

Definition at line 40 of file JackNetUnixSocket.h.

The documentation for this class was generated from the following files:

- JackNetUnixSocket.h
- JackNetUnixSocket.cpp